# RegistryEvent.Cause Property
Get/Set the cause of a rejected registration. The cause of a rejected registration or "<unknown>" if the cause is unknown.

AsterNet Class Library (Sandcastle documentation)

| RegistryEvent Cause Property

Get/Set the cause of a rejected registration. The cause of a rejected registration or "<unknown>" if the cause is unknown.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Cause { get; set; }

    Public Property Cause As String
    	Get
    	Set

    public:
    property String^ Cause {
    	String^ get ();
    	void set (String^ value);
    }

    member Cause : string with get, set

#### Property Value

Type: String
See Also

#### Reference

RegistryEvent Class
AsterNET.Manager.Event Namespace